# Uses of Interface
org.opensaml.saml.saml2.core.AuthnRequest

Packages that use AuthnRequest
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of AuthnRequest in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type AuthnRequest
Modifier and Type
Field
Description
`private Function<MessageContext,AuthnRequest>`
SAMLAddAttributeConsumingServiceHandler.`authnRequestLookupStrategy`
Lookup strategy for an `AuthnRequest` index.
Methods in org.opensaml.saml.common.binding.impl that return AuthnRequest
Modifier and Type
Method
Description
`AuthnRequest`
SAMLAddAttributeConsumingServiceHandler.AuthnRequestLookup.`apply(MessageContext input)`
Methods in org.opensaml.saml.common.binding.impl with parameters of type AuthnRequest
Modifier and Type
Method
Description
`protected Collection<RequestedAttribute>`
SAMLAddAttributeConsumingServiceHandler.`getRequestedAttributes(MessageContext messageContext, AuthnRequest authn)`
Grab the `RequestedAttribute` (if any) from the `AuthnRequest`.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type AuthnRequest
Modifier and Type
Method
Description
`void`
SAMLAddAttributeConsumingServiceHandler.`setIndexLookupStrategy(Function<MessageContext,AuthnRequest> strategy)`
Set the strategy to locate the `AttributeConsumingService` index from the `MessageContext`.

## Uses of AuthnRequest in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnRequest
Modifier and Type
Class
Description
`class`
`AuthnRequestImpl`
A concrete implementation of `AuthnRequest`.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnRequest
Modifier and Type
Method
Description
`AuthnRequest`
AuthnRequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnRequest`
AuthnRequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of AuthnRequest in org.opensaml.saml.saml2.profile

Fields in org.opensaml.saml.saml2.profile with type parameters of type AuthnRequest
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,AuthnRequest>`
AbstractSAML2NameIDGenerator.`requestLookupStrategy`
Strategy used to locate an `AuthnRequest` to check.
Method parameters in org.opensaml.saml.saml2.profile with type arguments of type AuthnRequest
Modifier and Type
Method
Description
`void`
AbstractSAML2NameIDGenerator.`setRequestLookupStrategy(Function<ProfileRequestContext,AuthnRequest> strategy)`
Set the strategy used to locate the `AuthnRequest` to check for a `NameIDPolicy`.

## Uses of AuthnRequest in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as AuthnRequest
Modifier and Type
Field
Description
`private AuthnRequest`
AddNameIDToSubjects.`request`
Request to examine.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type AuthnRequest
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,AuthnRequest>`
AddNameIDToSubjects.NameIDPolicyLookupFunction.`requestLookupStrategy`
Strategy used to locate the `AuthnRequest` to operate on.
`private Function<ProfileRequestContext,AuthnRequest>`
AddNameIDToSubjects.`requestLookupStrategy`
Strategy used to locate the `AuthnRequest` to operate on, if any.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type AuthnRequest
Modifier and Type
Method
Description
`void`
AddNameIDToSubjects.NameIDPolicyLookupFunction.`setRequestLookupStrategy(Function<ProfileRequestContext,AuthnRequest> strategy)`
Set the strategy used to locate the `AuthnRequest` to examine.
`void`
AddNameIDToSubjects.`setRequestLookupStrategy(Function<ProfileRequestContext,AuthnRequest> strategy)`
Set the strategy used to locate the `AuthnRequest` to examine, if any.

## Uses of AuthnRequest in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return AuthnRequest
Modifier and Type
Method
Description
`static AuthnRequest`
SAML2ActionTestingSupport.`buildAuthnRequest()`
Builds an `AuthnRequest`.